Cannot select non-contiguous issues on Mac OS X
Status: Closed Start date: 2008-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Control is used to fake the right click in Mac OS X (even if you have a two-button mouse) so one cannot control-click to select more

than one issue -- the menu comes up instead.  Perhaps there's a way to trap the Command key for a Command-click (the typical

Mac OS X machination for this action)?

History

#1 - 2008-04-14 23:30 - Andrew Ness

Where are you experiencing this? Normally on OS X you use Command+Click to select multiple items - it is the equivalent to Control+Click on

Windows.

#2 - 2008-04-14 23:49 - Jean-Philippe Lang

You can use the checkboxes on the left to select multiple issues.

#3 - 2008-04-15 19:51 - Adam Knight

Command-click is the equivalent in system items like lists and so on, but this is a custom JS action that has not been coded to look for the command

key, so that doesn't work.

And yes, I can use the checkboxes for now, but it's not nearly as easy as it would be if I could do it the other way.  Checkboxes are a smaller target

and harder to hit.

#4 - 2008-04-15 22:40 - Andrew Ness

I don't normally access Redmine from Windows machines, but I tested that out and it is a handy feature...OS X support would be nice I agree :)

#5 - 2008-08-14 14:51 - Thomas Lecavelier

Does this problem still occur in 0.7.3?

#6 - 2010-07-05 15:19 - Holger Just

- Status changed from New to Closed

- Resolution set to Fixed

Ctrl+Leftclick works for me on 0.9.x and trunk on OSX 10.6 Firefox, Safari and Chrome.
